Package ghidra.program.model.listing

# Class OperandRepresentationList

java.lang.Object
java.util.AbstractCollection<Object>
java.util.AbstractList<Object>
java.util.ArrayList<Object>
ghidra.program.model.listing.OperandRepresentationList

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<Object>`, `Collection<Object>`, `List<Object>`, `RandomAccess`, `SequencedCollection<Object>`

public class OperandRepresentationList extends ArrayList<Object>
`OperandRepresentation` provides a list for operand sub-elements. The number of elements are expected to remain constant for a given code unit operand regardless of its format.
The list may contain various Objects including any combination of Character, String, VariableOffset, Register, Address, Scalar, LabelString, and nesting of other OperandRepresentationList objects.
All objects returned must support the toString() method for producing an appropriate listing representation.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasError()`
  Returns true if the representation encountered an error.
  `boolean`
  `isPrimaryReferenceHidden()`
  Returns true if the primary reference is not reflected in the representation.
  `String`
  `toString()`
  Returns a formatted string representation of the specified code unit operand.

  ### Methods inherited from class java.util.ArrayList

  `add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, ensureCapacity, equals, forEach, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeIf, removeLast, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

  ### Methods inherited from interface java.util.List

  `containsAll, reversed`

- ## Method Details

  - ### isPrimaryReferenceHidden

    public boolean isPrimaryReferenceHidden()
    Returns true if the primary reference is not reflected in the representation.

  - ### hasError

    public boolean hasError()
    Returns true if the representation encountered an error. Error will be reflected within the representation as a String.

  - ### toString

    public String toString()
    Returns a formatted string representation of the specified code unit operand.
    Overrides:
      `toString` in class `AbstractCollection<Object>`
    Returns:
      formatted code unit representation